import { BaseModalComponent } from './../base/base-modal.component';
import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ModalController, NavParams } from '@ionic/angular';
export declare function getTelecomFormGroup(): FormGroup;
export declare class TelecomAddComponent extends BaseModalComponent implements OnInit {
    private navParams;
    title: string;
    constructor(modalController: ModalController, navParams: NavParams);
    ngOnInit(): void;
    save(): void;
    setValidator(event: any): void;
}
